<bugID>371179<Summary>Don't allow bookmarking an evaluated+loaded javascript: URL</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1
Build Identifier: 

It should be not possible to bookmark data: and other inline / special URL schemes, or, if this functionality is needed, Javascript execution context should be properly initialized. Otherwise, such a bookmark, when invoked, will be allowed to execute Javascript code in the context of a currently viewed resource (Google start page = stealing GMail authentication cookies, for example).

See this demonstration:

http://lcamtuf.coredump.cx/ffbook/

Reproducible: Always</Description></bugID>